POLL: disable signalfd usage by default?

Marc Lehmann schmorp at schmorp.de
Tue Nov 17 10:48:08 CET 2009


On Tue, Nov 17, 2009 at 07:50:50AM +0100, Joachim Nilsson <troglobit at gmail.com> wrote:
> Just out of curiosity, "when not developing on a current linux
> kernel." -- what is a non-current kernel?

Anything not new enough to implement signalfd.

> I.e., from what version is it safe use the signalfd?

I have no information that there is such a thing as an "unsafe" linux
version w.r.t. signalfd.

-- 
                The choice of a       Deliantra, the free code+content MORPG
      -----==-     _GNU_              http://www.deliantra.net
      ----==-- _       generation
      ---==---(_)__  __ ____  __      Marc Lehmann
      --==---/ / _ \/ // /\ \/ /      pcg at goof.com
      -=====/_/_//_/\_,_/ /_/\_\



More information about the libev mailing list